Skip to main content
POST
Add a fermentation reading

Authorizations

X-API-Key
string
header
required

An API key created from a signed-in session. See Authentication.

Path Parameters

sessionId
string<uuid>
required

Session the readings belong to

Body

application/json
gravity
number | null

Reading in specific gravity, regardless of gravity_unit

gravity_unit
enum<string> | null

Unit the reading was entered in

Available options:
sg,
plato,
brix_wri
temperature_c
number | null

Beer temperature in °C

ph
number | null

pH reading

Required range: 0 <= x <= 14
volume_liters
number | null

Volume in litres

Required range: x >= 0
notes
string | null

Observation notes

is_annotation
boolean
default:false

Show as a labelled event on the chart rather than a data point

Response

The created reading

id
string<uuid>
read-only

Unique identifier

session_id
string<uuid>
read-only

Parent session

gravity
number | null

Specific gravity

gravity_unit
enum<string> | null

Unit the reading was entered in

Available options:
sg,
plato,
brix_wri
temperature_c
number | null

Beer temperature in °C

ph
number | null

pH reading

volume_liters
number | null

Volume in litres

notes
string | null

Observation notes

is_annotation
boolean

Rendered as a labelled event on the chart

created_at
string<date-time>
read-only

ISO 8601 timestamp